Subject: Re: How do I track pu branch?

From: Martin Langhoff <[email-masked]>
Date: Tue, 16 Aug 2005 15:17:49 +1200

On 8/16/05, Junio C Hamano <[email-masked]> wrote:
> Martin Langhoff <[email-masked]> writes:
> 
> > Following an extenal repo, I am not getting all the heads. This is by
> > design, AFAIK, and the question is how do I find what heads the repo
> > offers and pull them in so I can call them by name?
> 
> I suspect the Subject: line and your question do not mesh well,
> but anyway..

And even then, your answer is great. Thanks! 

I was half-expecting a mechanism to track "all branches/heads from a
remote repo" by rsync'ing the refs/heads directory outside of the git
protocol. That's perhaps why I had the wrong mindset.

All in all, it is a bit of a roundabout way of tracking things. 

cheers,

martin